Bug 226281 - [maintainer-update] editors/jucipp update to 1.4.0
Summary: [maintainer-update] editors/jucipp update to 1.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-01 16:15 UTC by Mohammad S. Babaei
Modified: 2018-03-04 05:27 UTC (History)
1 user (show)

See Also:


Attachments
update patch against the current version in ports tree (2.25 KB, patch)
2018-03-01 16:15 UTC, Mohammad S. Babaei
no flags Details | Diff
update patch against the current version in ports tree (2.25 KB, patch)
2018-03-03 17:38 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
correct update patch against the current version in ports tree (2.01 KB, patch)
2018-03-03 17:41 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2018-03-01 16:15:24 UTC
Created attachment 191108 [details]
update patch against the current version in ports tree
Comment 1 Yuri Victorovich freebsd_committer 2018-03-02 00:20:17 UTC
You shouldn't install the "licenses" folder.
If it is dually licensed, LICENSE_COMB=dual should be used where you can list several license files.
Comment 2 Mohammad S. Babaei 2018-03-03 17:38:50 UTC
Created attachment 191177 [details]
update patch against the current version in ports tree

Sorry for the inconvenience. Here's another patch.
Comment 3 Mohammad S. Babaei 2018-03-03 17:41:33 UTC
Created attachment 191178 [details]
correct update patch against the current version in ports tree

Sorry ignore the previous file, I chose the wrong path. Here is the correct one with the license files removed from the install list.
Comment 4 Yuri Victorovich freebsd_committer 2018-03-04 05:27:02 UTC
Committed.
Thank you for the update, and for quick correction of licenses!
Comment 5 commit-hook freebsd_committer 2018-03-04 05:27:39 UTC
A commit references this bug:

Author: yuri
Date: Sun Mar  4 05:26:59 UTC 2018
New revision: 463552
URL: https://svnweb.freebsd.org/changeset/ports/463552

Log:
  editors/jucipp: Update to 1.4.0

  Port changes:
  * Changed to DISTVERSION
  * Updated GH_TUPLE

  PR:		226281
  Submitted by:	Mohammad S. Babaei <info@babaei.net> (maintainer)
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/editors/jucipp/Makefile
  head/editors/jucipp/distinfo